name: mono
description: "Run mono commands."
inputs:
  command:
    description: "Shell arguments to pass into mono."
    required: true
  program:
    description: "Program to run instead of mono. Default: mono"
    required: false
    default: "mono"
  catchErrors:
    description: "Whether or not errors should be handled."
    required: false
outputs:
  console:
    description: "The console output of the command."
runs:
  env:
    PROGRAM: ${{ inputs.program }}
    CATCH_ERRORS: ${{ inputs.catchErrors }}
  using: docker
  image: Dockerfile
  args:
  - ${{ inputs.command }}